export declare type DefualtFontSizes = typeof defaultFontSizes;
export declare type CustomFontSizes = Record<string | number, {
    fontSize: number | string;
    lineHeight?: number | string;
}>;
export declare type MergedFontSizes = DefualtFontSizes & CustomFontSizes;
export declare const defaultFontSizes: {
    readonly xs: {
        readonly fontSize: 12;
        readonly lineHeight: 16;
    };
    readonly sm: {
        readonly fontSize: 14;
        readonly lineHeight: 20;
    };
    readonly base: {
        readonly fontSize: 16;
        readonly lineHeight: 24;
    };
    readonly lg: {
        readonly fontSize: 18;
        readonly lineHeight: 28;
    };
    readonly xl: {
        readonly fontSize: 20;
        readonly lineHeight: 28;
    };
    readonly '2xl': {
        readonly fontSize: 24;
        readonly lineHeight: 32;
    };
    readonly '3xl': {
        readonly fontSize: 26;
        readonly lineHeight: 36;
    };
    readonly '4xl': {
        readonly fontSize: 36;
        readonly lineHeight: 40;
    };
    readonly '5xl': {
        readonly fontSize: 48;
    };
    readonly '6xl': {
        readonly fontSize: 60;
    };
    readonly '7xl': {
        readonly fontSize: 72;
    };
    readonly '8xl': {
        readonly fontSize: 96;
    };
    readonly '9xl': {
        readonly fontSize: 128;
    };
};
export declare const mergeFontSizes: () => void;
export declare type FontSizeStyle = {
    [key in FontSizeClass]: {
        fontSize: number | string;
        lineHeight?: number | string;
    };
};
export declare type FontSizeClass = `text-${keyof typeof defaultFontSizes}`;
export declare const buildFontSizes: () => FontSizeStyle;
