import { Valueof } from '../../types';
declare type BorderRadiusReactNativeNames = 'borderRadius' | 'borderTopEndRadius' | 'borderTopLeftRadius' | 'borderTopRightRadius' | 'borderTopStartRadius' | 'borderBottomEndRadius' | 'borderBottomLeftRadius' | 'borderBottomRightRadius' | 'borderBottomStartRadius';
export declare type BorderRadiusClass = `rounded${typeof borderRadiusPositions[number]}${keyof typeof radiusDimension}`;
export declare type BorderRadiusStyles = {
    [key in BorderRadiusClass]: {
        [k in BorderRadiusReactNativeNames]?: Valueof<typeof radiusDimension>;
    };
};
export declare const radiusDimension: {
    readonly '-none': 0;
    readonly '-sm': 2;
    readonly '': 4;
    readonly '-md': 6;
    readonly '-lg': 8;
    readonly '-xl': 12;
    readonly '-2xl': 16;
    readonly '-3xl': 24;
    readonly '-full': 9999;
};
export declare const borderRadiusPositions: readonly ["", "-te", "-tl", "-tr", "-ts", "-be", "-bl", "-br", "-bs"];
export declare const buildBorderRadiusStyles: () => BorderRadiusStyles;
export {};
